scim::BoundSlot0_1< R, P1 > Class Template Reference
SignalSlot

Converts a slot taking one argument into a slot taking no arguments. More...

`#include <scim_bind.h>`

## Public Member Functions

| BoundSlot0_1 (Slot1< R, P1 > *slot, P1 p1)
virtual R | call () const
| Calls the original slot passing it the bound argument p as the last parameter.
Public Member Functions inherited from scim::Slot0< R >
R | operator() () const
| Function operator; Calls call().
Public Member Functions inherited from scim::ReferencedObject
bool | is_referenced () const
void | ref ()
| Increase an object's reference count by one.
void | unref ()

## Additional Inherited Members

Protected Member Functions inherited from scim::Slot0< R >
| Slot0 ()
| Constructor.
Protected Member Functions inherited from scim::Slot
| Slot ()
| Constructor.
virtual | ~Slot ()=0
| Destructor.
Protected Member Functions inherited from scim::ReferencedObject
| ReferencedObject ()
| Constructor.
virtual | ~ReferencedObject ()=0
| Destructor.
void | set_referenced (bool reference)

## Detailed Description

template<typename R, typename P1>
class scim::BoundSlot0_1< R, P1 >

Converts a slot taking one argument into a slot taking no arguments.

## Constructor & Destructor Documentation

## BoundSlot0_1()

template<typename R, typename P1>

scim::BoundSlot0_1< R, P1 >::BoundSlot0_1 | ( | Slot1< R, P1 > * | slot,
|  | P1 | p1 )

inline

Constructor.

Parameters

  slot | - a pointer to a slot of type Slot1<R, P1>.
  p1 | - a bound argument of type P1

References scim::slot().

## Member Function Documentation

## call()

template<typename R, typename P1>

virtual R scim::BoundSlot0_1< R, P1 >::call | ( |  | ) | const

inline virtual

Calls the original slot passing it the bound argument p as the last parameter.

Implements scim::Slot0< R >.

The documentation for this class was generated from the following file:

- scim_bind.h